Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://api.antei.com/invoices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contact_id": "<string>",
"line_items": [
{
"product_id": "<string>",
"quantity": 123,
"price": 123
}
],
"currency": "<string>",
"issue_date": "2023-12-25",
"due_date": "2023-12-25",
"metadata": {}
}
'import requests
url = "https://api.antei.com/invoices"
payload = {
"contact_id": "<string>",
"line_items": [
{
"product_id": "<string>",
"quantity": 123,
"price": 123
}
],
"currency": "<string>",
"issue_date": "2023-12-25",
"due_date": "2023-12-25",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contact_id: '<string>',
line_items: [{product_id: '<string>', quantity: 123, price: 123}],
currency: '<string>',
issue_date: '2023-12-25',
due_date: '2023-12-25',
metadata: {}
})
};
fetch('https://api.antei.com/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"invoice_number": "<string>",
"contact_id": "<string>",
"currency": "<string>",
"amount": 123,
"id": "<string>",
"transaction_ids": [
"<string>"
],
"issue_date": "2023-12-25",
"due_date": "2023-12-25",
"metadata": {}
}Create a new invoice with line items, contact, currency, and issue date.
contact_idline_items with product referencescurrency and issue_datedue_date, payment_instructions, or internal_notes.
Once created, the invoice will be available for downstream tax calculation, email dispatch, and reporting workflows.Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Invoice created
draft, sent, paid, void Show child attributes